<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [getAugmentationGraftTime](./bitburner.grafting.getaugmentationgrafttime.md)

## Grafting.getAugmentationGraftTime() method

Retrieves the time required to graft an aug. Do not use this value to determine when the ongoing grafting finishes. The ongoing grafting is affected by current intelligence level and focus bonus. You should use [waitForOngoingGrafting](./bitburner.grafting.waitforongoinggrafting.md) for that purpose.

**Signature:**

```typescript
getAugmentationGraftTime(augName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of the aug to check the grafting time of. Must be an exact match. |

**Returns:**

number

The time required, in milliseconds, to graft the named augmentation.

## Exceptions

Will error if an invalid Augmentation name is provided.

## Remarks

RAM cost: 3.75 GB

